org.eclipse.net4j.spi.db

## Class DBAdapter.FieldInfo

- java.lang.Object
- - org.eclipse.net4j.spi.db.DBAdapter.FieldInfo

- All Implemented Interfaces:
    Comparable<DBAdapter.FieldInfo>
  Enclosing class:
    DBAdapter

      protected static final class DBAdapter.FieldInfo
      extends Object
      implements Comparable<DBAdapter.FieldInfo>

  Since:
    4.2
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`
    `int` | `position`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FieldInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DBAdapter.FieldInfo o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### position

          public int position

  - ### Constructor Detail

    - #### FieldInfo

          protected FieldInfo()

  - ### Method Detail

    - #### compareTo

          public int compareTo(DBAdapter.FieldInfo o)

      Specified by:
        `compareTo` in interface `Comparable<DBAdapter.FieldInfo>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html